local assets = 
{
   Asset("ANIM", "anim/hudun.zip")
}

local function kill_fx(inst)
    inst.AnimState:PlayAnimation("nil")
    inst:DoTaskInTime(0.6, function() inst:Remove() end)    
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()

    anim:SetBank("hudun")
    anim:SetBuild("hudun")
    anim:PlayAnimation("nil")
    anim:PushAnimation("idle_hd", true)

    --anim:SetLayer( LAYER_BACKGROUND )
    --anim:SetSortOrder( 3 )

    inst.kill_fx = kill_fx

    sound:PlaySound("dontstarve/wilson/forcefield_LP", "loop")

    return inst
end

return Prefab( "common/hudun", fn, assets) 
