local assets = 
{
   Asset("ANIM", "anim/yasuo_gongji.zip")
}

local function kill_fx(inst)
    inst.AnimState:PlayAnimation("nil")
    inst:DoTaskInTime(0.6, function() inst:Remove() end)    
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()

    anim:SetBank("yasuo_gongji")
    anim:SetBuild("yasuo_gongji")
    anim:PlayAnimation("nil")
    anim:PushAnimation("action_gj", true)

    --anim:SetOrientation( ANIM_ORIENTATION.OnGround )
    --anim:SetLayer( LAYER_BACKGROUND )
    --anim:SetSortOrder( 3 )

    inst.kill_fx = kill_fx

    return inst
end

return Prefab( "common/yasuo_gongji", fn, assets) 
