local assets = 
{
   Asset("ANIM", "anim/fengqiang.zip")
}

local function kill_fx(inst)
    inst.AnimState:PlayAnimation("nil")
    inst:DoTaskInTime(0.6, function() inst:Remove() end)    
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    local sound = inst.entity:AddSoundEmitter()

    anim:SetBank("fengqiang")
    anim:SetBuild("fengqiang")
    anim:PlayAnimation("nil")
    anim:PushAnimation("idle_fq", true)

    --anim:SetOrientation( ANIM_ORIENTATION.OnGround )
    anim:SetLayer( LAYER_BACKGROUND )
    anim:SetSortOrder( 3 )

    inst.kill_fx = kill_fx

    return inst
end

return Prefab( "common/fengqiang", fn, assets) 
